package fr.mrdev023.vulkan_java;

import org.tinylog.Logger;

import fr.mrdev023.vulkan_java.vk.Vulkan;
import fr.mrdev023.vulkan_java.vk.VulkanError;
import fr.mrdev023.vulkan_java.window.Display;
import fr.mrdev023.vulkan_java.window.Input;

public class App {
    public static void main(String[] args) {
        Display.create("My first application", 800, 600);
        Display.printMonitorsInfo();
        Input.init();
        try {
            Vulkan.init();
        } catch (VulkanError e) {
            Logger.error(e.getMessage());
            System.exit(1);
        }

        while (!Display.isCloseRequested()) {
            Display.updateEvent();
            Input.update();

            Display.updateFrame();
        }

        Vulkan.destroy();
        Input.destroy();
        Display.destroy();
    }
}
